Page MenuHomePhabricator

Deprecate and remove 'find' icon
Closed, ResolvedPublic

Description

In process of T177432 it was identified that 'find' icon of 'editing-advanced' should be merged with 'articleSearch' in 'content'.
After Gerrit Patch is merged on icon overhaul at T177432, we need to deprecate and remove 'find'

  • Replace icon file of 'find' of 'editing-advanced' with 'articleSeach' of 'content' in OOUI – T177432
  • Deprecate 'find':
  • Replace instances whereever used, currently: 1x @ Extension:CodeEditor
  • Remove 'find':

Event Timeline

Volker_E created this task.Dec 23 2017, 9:58 PM
Volker_E triaged this task as High priority.
Volker_E removed the point value for this task.
matmarex removed a subscriber: matmarex.Dec 27 2017, 5:00 AM
Prtksxna renamed this task from Deprecate and remove 'find' to Deprecate and remove 'find' icon.Dec 29 2017, 1:56 AM
Volker_E moved this task from Backlog to Next-up on the OOUI board.Jan 8 2018, 9:54 PM
Volker_E moved this task from Unsorted to OOUI on the UI-Standardization board.Mar 19 2018, 5:07 AM
Volker_E moved this task from Next-up to Doing on the OOUI board.Mar 23 2018, 6:12 PM
Volker_E updated the task description. (Show Details)Mar 27 2018, 5:09 PM
Volker_E updated the task description. (Show Details)
Volker_E updated the task description. (Show Details)Mar 31 2018, 5:38 AM

Change 423550 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] icons: Deprecate 'find' of 'editing-advanced' pack

https://gerrit.wikimedia.org/r/423550

Change 423554 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/CodeEditor@master] Replace deprecated OOUI 'find' icon with 'articleSearch' of 'content' pack

https://gerrit.wikimedia.org/r/423554

You've not replaced the use of 'search' in the main use case, the SearchInputWidget. I'm not sure the icon switch is a good move anyway, but that should be done before.

@Jdforrester-WMF Hmm? We use 'search' of 'interactions' in SearchInputWidget. This is unrelated.

If you're speaking of which pack is the better location for 'articleSearch', I'm indifferent. I can see a point of it being part for both, 'content' and 'editing-advanced', but we don't have aliases anywhere else. With https://gerrit.wikimedia.org/r/#/c/410038/ all of these will be questions of the past anyways.

Oh. Somehow every time I read this task my brain substituted 'find' with 'search'… :-(

Which isn't surprising. Another reason to get rid of 'find'.

Change 423550 merged by jenkins-bot:
[oojs/ui@master] icons: Deprecate 'find' of 'editing-advanced' pack

https://gerrit.wikimedia.org/r/423550

Change 423554 merged by jenkins-bot:
[mediawiki/extensions/CodeEditor@master] Replace deprecated OOUI 'find' icon with 'articleSearch' of 'content' pack

https://gerrit.wikimedia.org/r/423554

Volker_E updated the task description. (Show Details)May 7 2018, 9:05 PM

Change 452444 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[oojs/ui@master] [BREAKING CHANGE] icons: Drop 'find' icon, deprecated in v0.26.2

https://gerrit.wikimedia.org/r/452444

Change 452444 merged by jenkins-bot:
[oojs/ui@master] [BREAKING CHANGE] icons: Drop 'find' icon, deprecated in v0.26.2

https://gerrit.wikimedia.org/r/452444

Volker_E closed this task as Resolved.Aug 13 2018, 9:28 PM
Volker_E removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)

Change 452872 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.28.0

https://gerrit.wikimedia.org/r/452872

Change 452872 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.28.0

https://gerrit.wikimedia.org/r/452872

The OOUI release landed in MediaWiki 1.32.0-wmf.18.

Volker_E raised the priority of this task from High to Needs Triage.